//
//  hintViewController.h
//  scummvm
//
//  Created by DotEmu on 19/05/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//
#import <AVFoundation/AVFoundation.h>
#import <UIKit/UIKit.h>

@interface hintViewController : UIViewController<UIWebViewDelegate>
{
	//OUTLETS
	IBOutlet UIButton*  hint1B;
	IBOutlet UIButton*  hint2B;
	IBOutlet UIButton*  hint3B;	
	IBOutlet UIWebView* hintView;
	IBOutlet UIActivityIndicatorView* activityIndicator;
	
	//SOUND
	AVAudioPlayer* menuSFXPlayer;
	AVAudioPlayer* hintPlayer;
}

//ACTIONS
- (IBAction) backClickedDown:(id)sender;
- (IBAction) hint1ClickedDown:(id)sender;
- (IBAction) hint2ClickedDown:(id)sender;
- (IBAction) hint3ClickedDown:(id)sender;

//METHODS
- (void) animationFinished:(NSString *)animationID finished:(NSNumber *)finished context:(void *)context;
- (void) webView:(UIWebView *)webView didFailLoadWithError:(NSError *)error;
- (void) webViewDidFinishLoad:(UIWebView *)webView;
- (void) webViewDidStartLoad:(UIWebView *)webView;

@end
