//
//  loadViewController.h
//  scummvm
//
//  Created by DotEmu on 18/05/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface loadViewController : UIViewController 
{
	//ELEMENTS
	UIButton* listLvL[21];
	UILabel* labelLvL[21];

	//OUTLETS
	IBOutlet UIButton* m_prevState;
	IBOutlet UIButton* m_nextState;		
	int etatNext;
	
	//SOUND
	AVAudioPlayer* menuSFXPlayer;
	
	//MEMORY
	bool bWarning;
}

//ACTIONS
- (IBAction) menuClicked:(id)sender;
- (IBAction) nextClicked:(id)sender;
- (IBAction) prevClicked:(id)sender;
- (IBAction) listLvLClicked:(id)sender;

//METHODS
- (void) animationFinished:(NSString *)animationID finished:(NSNumber *)finished context:(void *)context;
- (void) clearLvLButtons;
- (void) removeMenu;
- (void) loadLvL;
- (void) loadIngame;

@end


